Subject: Re: [PATCH] net: ftgmac100: Enable TX interrupt to avoid TX timeout

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Sep 2024 14:47:12 -0700

On Wed, 4 Sep 2024 18:31:16 +0800 Jacky Chou wrote:
> Currently, the driver only enables RX interrupt to handle RX
> packets and TX resources. Sometimes there is not RX traffic,
> so the TX resource needs to wait for RX interrupt to free.
> This situation will toggle the TX timeout watchdog when the MAC
> TX ring has no more resources to transmit packets.
> Therefore, enable TX interrupt to release TX resources at any time.

Please answer Andrew's question (preferably send a v2 with the answer
as part of the commit message). Add a fixes tag, I think this is where
the bug was added?

Fixes: 10cbd6407609 ("ftgmac100: Rework NAPI & interrupts handling")

And when you send v2, please make sure to CC the author (Benjamin).
-- 
pw-bot: cr